tut::test_runner_singleton Class Reference

Singleton for test_runner implementation. More...

`#include <tut.h>`

## Static Public Member Functions

static test_runner & | get ()

## Detailed Description

Singleton for test_runner implementation.

Instance with name runner_singleton shall be implemented by user.

## Member Function Documentation

## get()

static test_runner& tut::test_runner_singleton::get | ( |  | ) |

inline static

References tut::runner.

Referenced by main(), and tut::test_group< Data, MaxTestsInGroup >::test_group().

The documentation for this class was generated from the following file:

- tut.h